Package Gnumed :: Package wxpython :: Module gmDocumentWidgets :: Class cDocTree |
[frames] | no frames]

# Class cDocTree

source code

                        wx.TreeCtrl --+
                                      |
    gmRegetMixin.cRegetOnPaintMixin --+
                                      |
                                     cDocTree

This wx.TreeCtrl derivative displays a tree view of stored medical documents.

It listens to document and patient changes and updated itself accordingly.

This acts on the current patient.

Instance Methods
__init__(self, parent, id, *args, **kwds) Set up our specialised tree. | source code
display_selected_part(self, *args, **kwargs) | source code
OnCompareItems(self, node1=None, node2=None) Used in sorting items. | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Class Variables
| sort_mode = `property(_get_sort_mode, _set_sort_mode)`

Method Details

### __init__(self, parent, id, *args, **kwds) (Constructor) | source code
Set up our specialised tree. Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__

### OnCompareItems(self, node1=None, node2=None) | source code
    Used in sorting items.

    -1: 1 < 2
     0: 1 = 2
     1: 1 > 2